=== modified file 'bzrlib/hooks.py'
--- bzrlib/hooks.py	2009-03-10 05:14:31 +0000
+++ bzrlib/hooks.py	2009-03-11 04:34:21 +0000
@@ -57,6 +57,10 @@
         """
         hook_names = sorted(self.keys())
         hook_docs = []
+        name = self.__class__.__name__
+        hook_docs.append(name)
+        hook_docs.append("="*len(name))
+        hook_docs.append("")
         for hook_name in hook_names:
             hook = self[hook_name]
             try:
@@ -68,7 +72,7 @@
                 strings.append("-" * len(hook_name))
                 strings.append("")
                 strings.append("An old-style hook. For documentation see the __init__ "
-                    "method of '%s'\n" % (self.__class__.__name__,))
+                    "method of '%s'\n" % (name,))
                 hook_docs.extend(strings)
         return "\n".join(hook_docs)
 

=== modified file 'bzrlib/tests/test_hooks.py'
--- bzrlib/tests/test_hooks.py	2009-03-10 03:05:21 +0000
+++ bzrlib/tests/test_hooks.py	2009-03-11 04:34:21 +0000
@@ -51,7 +51,9 @@
 
     def test_docs(self):
         """docs() should return something reasonable about the Hooks."""
-        hooks = Hooks()
+        class MyHooks(Hooks):
+            pass
+        hooks = MyHooks()
         hooks['legacy'] = []
         hook1 = HookPoint('post_tip_change',
             "Invoked after the tip of a branch changes. Called with "
@@ -63,11 +65,14 @@
             (1, 6), None)
         hooks.create_hook(hook1)
         hooks.create_hook(hook2)
-        self.assertEqual(
+        self.assertEqualDiff(
+            "MyHooks\n"
+            "=======\n"
+            "\n"
             "legacy\n"
             "------\n"
             "\n"
-            "An old-style hook. For documentation see the __init__ method of 'Hooks'\n"
+            "An old-style hook. For documentation see the __init__ method of 'MyHooks'\n"
             "\n"
             "post_tip_change\n"
             "---------------\n"

